Bug 215214 - kernel: kernel BUG at lib/list_debug.c:31!
kernel: kernel BUG at lib/list_debug.c:31!
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-12 08:37 EST by Johannes Schlüter
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:47:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johannes Schlüter 2006-11-12 08:37:44 EST
Description of problem:

I have an USB Drive with a few partitions:

Disk /dev/sda: 250.9 GB, 250999209984 bytes
255 heads, 63 sectors/track, 30515 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/sda1               1        6374    51199123+   c  W95 FAT32 (LBA)
/dev/sda2   *        6375       10290    31455270   a5  FreeBSD
/dev/sda3           10291       30513   162441247+  83  Linux

If I plug it on my machine the kernel reports a kernel bug and hangs up.

Version-Release number of selected component (if applicable):

# cat /etc/redhat-release 
Fedora Core release 6 (Zod)
# uname -a
Linux johannes.nop 2.6.18-1.2798.fc6 #1 SMP Mon Oct 16 14:37:32 EDT 2006 i686
i686 i386 GNU/Linux

How reproducible:

Plug USB disk to USB port, switch it on and let haldaemon try to mount it.

Actual results:

Nov 11 22:53:19 johannes kernel: usb 5-1: new high speed USB device using
ehci_hcd and address 3
Nov 11 22:53:19 johannes kernel: usb 5-1: configuration #1 chosen from 1 choice
Nov 11 22:53:19 johannes kernel: SCSI subsystem initialized
Nov 11 22:53:19 johannes kernel: Initializing USB Mass Storage driver...
Nov 11 22:53:19 johannes kernel: scsi0 : SCSI emulation for USB Mass Storage devices
Nov 11 22:53:19 johannes kernel: usbcore: registered new driver usb-storage
Nov 11 22:53:19 johannes kernel: USB Mass Storage support registered.
Nov 11 22:53:25 johannes kernel:   Vendor: Maxtor    Model: OneTouch         
Rev: 0201
Nov 11 22:53:25 johannes kernel:   Type:   Direct-Access                     
ANSI SCSI revision: 00
Nov 11 22:53:25 johannes kernel: scsi 0:0:0:0: Attached scsi generic sg0 type 0
Nov 11 22:53:25 johannes kernel: SCSI device sda: 490232832 512-byte hdwr
sectors (250999 MB)
Nov 11 22:53:25 johannes kernel: sda: Write Protect is off
Nov 11 22:53:25 johannes kernel: sda: assuming drive cache: write through
Nov 11 22:53:25 johannes kernel: SCSI device sda: 490232832 512-byte hdwr
sectors (250999 MB)
Nov 11 22:53:25 johannes kernel: sda: Write Protect is off
Nov 11 22:53:25 johannes kernel: sda: assuming drive cache: write through
Nov 11 22:53:25 johannes kernel:  sda: sda1 sda2 sda3
Nov 11 22:53:25 johannes kernel:  sda2: <bsd: sda5 sda6 sda7 sda8 sda9 >
Nov 11 22:53:25 johannes kernel: sd 0:0:0:0: Attached scsi disk sda
Nov 11 22:53:27 johannes kernel: ufs was compiled with read-only support, can't
be mounted as read-write
Nov 11 22:53:27 johannes kernel: ReiserFS: sda3: found reiserfs format "3.6"
with standard journal
Nov 11 22:53:37 johannes kernel: ReiserFS: sda3: using ordered data mode
Nov 11 22:53:37 johannes kernel: ReiserFS: sda3: journal params: device sda3,
size 8192, journal first block 18, max trans len 1024, max batch 900, max commit
age 30, max trans age 30
Nov 11 22:53:37 johannes kernel: ReiserFS: sda3: checking transaction log (sda3)
Nov 11 22:53:37 johannes kernel: ReiserFS: sda3: Using r5 hash to sort names
Nov 11 22:53:37 johannes kernel: audit(1163282017.847:5): avc:  denied  { search
} for  pid=16657 comm="mount" name="/" dev=sda3 ino=2
scontext=system_u:system_r:mount_t:s0 tcontext=system_u:object_r:unlabele
d_t:s0 tclass=dir
Nov 11 22:53:37 johannes kernel: ReiserFS: sda3: warning: xattrs/ACLs enabled
and couldn't find/create .reiserfs_priv. Failing mount.
Nov 11 22:53:38 johannes kernel: list_add corruption. prev->next should be
c0686470, but was 5ca10006
Nov 11 22:53:38 johannes kernel: ------------[ cut here ]------------
Nov 11 22:53:38 johannes kernel: kernel BUG at lib/list_debug.c:31!

Expected results:

Mounted devices
Comment 1 Dave Jones 2006-11-24 22:17:54 EST
can you try and repeat this with the test kernel at
http://people.redhat.com/davej/kernels/Fedora/  ?
Comment 2 Bug Zapper 2008-04-04 00:37:04 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 12:47:16 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.